<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <ul class="breadcrumb">
	<?php foreach ($breadcrumbs as $breadcrumb) { ?>
		<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
	<?php } ?>
  </ul>
  

<div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-"<?php echo $text_filename; ?> data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-"<?php echo $text_filename; ?> class="form-horizontal">
          <ul class="nav nav-tabs" id="tabs">
            <li class="active"><a href="#tab-account" data-toggle="tab"><?php echo $tab_account; ?></a></li>
            <li><a href="#tab-order-status" data-toggle="tab"><?php echo $tab_order_status; ?></a></li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active" id="tab-account">
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_hppstatus; ?>" id="input-status" class="form-control">
                <?php if ($$text_hppstatus) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
           <div class="form-group required">
            <label class="col-sm-2 control-label" for="<?php echo $text_terminalgateway; ?>"><?php echo $entry_gateway; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_terminalgateway; ?>" id="<?php echo $text_terminalgateway; ?>" class="form-control">
                <?php
                         $gateway_options=array();
        
                         $available_gateways = explode(',', $text_gateway);
                         
                          for ($i=0; $i < count($available_gateways); $i+=2) {
                                $gateway_options[$available_gateways[$i]] = $available_gateways[$i+1];
                          }
         
                          foreach($gateway_options as $name => $code) {
                               $set_selected = '';
                               
                             if(trim($name) == $$text_terminalgateway)
                                {
                                     $set_selected = 'selected';
                                }
                            ?>
              
                         <option value="<?php echo trim($name); ?>"<?php echo $set_selected;?>> <?php echo trim($code); ?></option>
                          <?php 
                } 
                ?>

                
              </select>
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="<?php echo $text_terminaltest; ?>"><?php echo $entry_test; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_terminaltest; ?>" id="<?php echo $text_terminaltest; ?>" class="form-control">
                <?php if ($$text_terminaltest == '1') { ?>
                <option value="1" selected="selected"><?php echo $text_true; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_true; ?></option>
                <?php } ?>
                <?php if ($$text_terminaltest == '0') { ?>
                <option value="0" selected="selected"><?php echo $text_false; ?></option>
                <?php } else { ?>
                <option value="0"><?php echo $text_false; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>

          <div class="form-group required">
          
            <label class="col-sm-2 control-label" for="<?php echo $hpp_currency1; ?>"><span data-toggle="tooltip" title="<?php echo $entry_currency1_tip; ?>"><?php echo $entry_currency1; ?></span></label>
            <div class="col-sm-10">
              <select name="<?php echo $hpp_currency1; ?>" id="<?php echo $hpp_currency1; ?>" class="form-control">
              <?php
                          $currency_options = array();
        
                          $baseCurrencies = explode(',', $text_hppcurrency);
      
                          for ($i=0; $i < count($baseCurrencies); $i+=2) {
                                $currency_options[$baseCurrencies[$i]] = $baseCurrencies[$i+1];
                          }
         
                          foreach($currency_options as $name => $code) {
                               $set_selected = '';
                             if(trim($name) == ($$hpp_currency1) )
                                {
                                     $set_selected = 'selected';
                                }
                            ?>
              
                         <option value="<?php echo $name; ?>"<?php echo $set_selected;?>> <?php echo $code; ?></option>
                          <?php 
                } 
                ?>
              </select>
            </div>
          </div>

          <div class="form-group required">
            
            <label class="col-sm-2 control-label" for="<?php echo $hpp_terminal1; ?>"><span data-toggle="tooltip" title="<?php echo $hpp_terminal1; ?>"><?php echo $entry_terminal1; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_terminal1; ?>" id="<?php echo $hpp_terminal1; ?>" name="<?php echo $hpp_terminal1; ?>" value="<?php echo $$hpp_terminal1; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="<?php echo $hpp_secret1; ?>"><span data-toggle="tooltip" title="<?php echo $entry_secret1_tip; ?>"><?php echo $entry_secret1; ?></span></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_secret1; ?>" id="<?php echo $hpp_secret1; ?>" value="<?php echo $$hpp_secret1; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            
            <label class="col-sm-2 control-label" for="<?php echo $hpp_currency2; ?>"><?php echo $entry_currency2; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $hpp_currency2; ?>" id="<?php echo $hpp_currency2; ?>" class="form-control">
              <?php
                          $currency_options = array();
        
                          $baseCurrencies = explode(',', $text_hppcurrency);
      
                          for ($i=0; $i < count($baseCurrencies); $i+=2) {
                                $currency_options[$baseCurrencies[$i]] = $baseCurrencies[$i+1];
                          }
         
                          foreach($currency_options as $name => $code) {
                               $set_selected = '';
                             if($name == ($$hpp_currency2))
                                {
                                     $set_selected = 'selected';
                                }
                            ?>
              
                         <option value="<?php echo $name; ?>"<?php echo $set_selected;?>> <?php echo $code; ?></option>
                          <?php 
                } 
                ?>
               </select>
            </div>
          </div>
          <div class="form-group">
            
            <label class="col-sm-2 control-label" for="<?php echo $hpp_terminal2; ?>"><?php echo $entry_terminal2; ?></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_terminal2; ?>" id="<?php echo $hpp_terminal2; ?>" value="<?php echo $$hpp_terminal2; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $hpp_secret2; ?>"><?php echo $entry_secret2; ?></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_secret2; ?>" id="<?php echo $hpp_secret2; ?>" value="<?php echo $$hpp_secret2; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
           
            <label class="col-sm-2 control-label" for="<?php echo $hpp_currency3; ?>"><?php echo $entry_currency3; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $hpp_currency3; ?>" id="<?php echo $hpp_currency3; ?>" class="form-control">
              <?php
                          $currency_options = array();
        
                          $baseCurrencies = explode(',', $text_hppcurrency);
      
                          for ($i=0; $i < count($baseCurrencies); $i+=2) {
                                $currency_options[$baseCurrencies[$i]] = $baseCurrencies[$i+1];
                          }
         
                          foreach($currency_options as $name => $code) {
                               $set_selected = '';
                             if($name == ($$hpp_currency3))
                                {
                                     $set_selected = 'selected';
                                }
                            ?>
              
                         <option value="<?php echo $name; ?>"<?php echo $set_selected;?>> <?php echo $code; ?></option>
                          <?php 
                } 
                ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $hpp_terminal3; ?>"><?php echo $entry_terminal3; ?></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_terminal3; ?>" id="<?php echo $hpp_terminal3; ?>" value="<?php echo $$hpp_terminal3; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $hpp_secret3; ?>"><?php echo $entry_secret3; ?></label>
            <div class="col-sm-10">
              <input type="text" name="<?php echo $hpp_secret3; ?>" id="<?php echo $hpp_secret3; ?>" value="<?php echo $$hpp_secret3; ?>" class="form-control" />
            </div>
          </div>
           <div class="form-group required">
            <label class="col-sm-2 control-label" for="<?php echo $text_send_receipt; ?>"><?php echo $entry_send_receipt; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_send_receipt; ?>" id="<?php echo $text_send_receipt; ?>" class="form-control">
              <?php if ($$text_send_receipt == '1') { ?>
              <option value="1" selected="selected"><?php echo $text_yes; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_yes; ?></option>
              <?php } ?>
              <?php if ($$text_send_receipt == '0') { ?>
              <option value="0" selected="selected"><?php echo $text_no; ?></option>
              <?php } else { ?>
              <option value="0"><?php echo $text_no; ?></option>
              <?php } ?>
              </select>
            </div>
          </div>
	</div>
        <div class="tab-pane" id="tab-order-status">
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $text_status_success; ?>"><?php echo $entry_status_success; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_status_success; ?>" id="<?php echo $text_status_success; ?>" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $$text_status_success) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $text_status_declined; ?>"><?php echo $entry_status_declined; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_status_declined; ?>" id="<?php echo $text_status_declined; ?>" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $$text_status_declined) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="<?php echo $text_status_failed; ?>"><?php echo $entry_status_failed; ?></label>
            <div class="col-sm-10">
              <select name="<?php echo $text_status_failed; ?>" id="<?php echo $text_status_failed; ?>" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $$text_status_failed) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
	</div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?> 
